## libextractor-dmo 1.11

=== debian/changelog ===
libextractor-dmo (2:1.11-dmo2+deb11u1) stable; urgency=medium

  * Upload to stable.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Aug 2021 18:19:13 +0200

libextractor-dmo (2:1.11-dmo1+deb11u1) stable; urgency=medium

  * Add Replaces/Conflicts with libextractor-plugin packages.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 17 Aug 2021 18:39:14 +0200

libextractor-dmo (2:1.11-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 31 Jan 2021 10:36:48 +0100

libextractor-dmo (2:1.10-dmo2) unstable; urgency=medium

  * Build with librpm9

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 26 Jan 2021 14:39:00 +0100

libextractor-dmo (2:1.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 03 Jul 2020 06:57:52 +0200

libextractor-dmo (2:1.9-dmo4) unstable; urgency=medium

  * Build with libexiv2-27

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 04 Jan 2020 14:44:31 +0100

libextractor-dmo (2:1.9-dmo3) unstable; urgency=medium

  * Build without libavresample4

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 13 Oct 2019 11:49:08 +0200

libextractor-dmo (2:1.9-dmo2) unstable; urgency=medium

  * Add Multi-Arch: same for all lib packages.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 10 Oct 2019 08:17:32 +0200

libextractor-dmo (2:1.9-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 11 Feb 2019 07:56:00 +0100

libextractor-dmo (2:1.8-dmo2) unstable; urgency=high

  * Add upstream patches to fix :
      Fix out-of-bounds read vulnerability in common/convert.c CVE-2018-20430).
      Fix NULL pointer dereference in OLE2 extractor CVE-2018-20431).

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 28 Dec 2018 14:22:23 +0100

libextractor-dmo (2:1.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 27 Nov 2018 15:30:30 +0100

libextractor-dmo (2:1.7-dmo3) unstable; urgency=medium

  * Rebuild against libtidy5deb1

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 24 Oct 2018 23:20:29 +0200

libextractor-dmo (2:1.7-dmo2) unstable; urgency=medium

  * Rebuild against libtidy5.6

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 13 Oct 2018 08:24:51 +0200

libextractor-dmo (2:1.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 13 Jul 2018 11:49:02 +0200

libextractor-dmo (2:1.6-dmo2) unstable; urgency=medium

  * Rebuild against ffmpeg 4.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 28 Apr 2018 16:14:27 +0200

libextractor-dmo (2:1.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 16 Oct 2017 08:50:46 +0200

libextractor-dmo (2:1.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 12 Oct 2017 08:13:24 +0200

libextractor-dmo (2:1.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 11 Jun 2017 08:38:42 +0200

libextractor-dmo (2:1.3-dmo4) unstable; urgency=medium

  * Rebuild against libtidy5.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 01 Jul 2016 14:30:30 +0200

libextractor-dmo (2:1.3-dmo3) unstable; urgency=medium

  * Rebuild against ffmpeg 3.0 libraries

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 15 Feb 2016 18:53:52 +0100

libextractor-dmo (2:1.3-dmo2) unstable; urgency=medium

  * Rebuild against libgif7

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 13 Dec 2015 08:18:24 +0100

libextractor-dmo (2:1.3-dmo1) unstable; urgency=medium

  * Upload to my repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 12 Aug 2015 19:24:19 +0200

libextractor (1:1.3-2) unstable; urgency=medium

  * Build-depend on libmagic-dev and libavresample-dev to enable additional
    plugins, thanks to Andreas Cadhalpun and update libexctractor3.symbols
    accordingly (Closes: #755810).
  * Build-depend on libjpeg-dev instead of libjpeg8-dev, thanks to Ondřej Surý
    (Closes: #763478).

 -- Bertrand Marc <beberking@gmail.com>  Tue, 30 Sep 2014 22:56:51 +0200

libextractor (1:1.3-1) unstable; urgency=medium

  * Make uscan check the archive signature:
    + add the upstream key to debian/upstream-signing-key.pgp.
    + add the binary key to debian/source/include-binaries.
    + add pgpsigurlmangle to debian/watch.
  * Imported Upstream version 1.3.
  * Standards version 3.9.5:
    + remove dependency on dpkg (>= 1.15.4) | install-info.
  * Build-depend on libtiff-dev instead of libtiff4-dev (Closes: #736021).
  * Add a missing build-dependency on texinfo.

 -- Bertrand Marc <beberking@gmail.com>  Sun, 19 Jan 2014 09:54:16 +0100

libextractor (1:1.2-1) unstable; urgency=low

  * Imported Upstream version 1.2

 -- Bertrand Marc <beberking@gmail.com>  Mon, 28 Oct 2013 11:53:20 +0100

libextractor (1:1.1-1) unstable; urgency=low

  * Imported Upstream version 1.1 (Closes: #690095).
  * Move the git repository to collab-maint.
  * Remove the underscore_in_plugin_path patch, included upstream.
  * debian/control: Update build dependencies according to README.
  * debian/rules: remove override_dh_configure to enable all plugins.
  * Merge libextractor and libextractor-plugins. Keeping them separated is
    difficult to maintain and does not worth it.
  * debian/rules: remove .a files.
  * debian/rules: remove useless override_dh_builddeb.
  * debian/control: remove duplicate section field.
  * Add a symbols file for libextractor3.
  * Remove useless debian/source/options.
  * Standards version 3.9.4.
  * debian/copyright: the licence is now GPL-3+, update years.


