=== debian/control ===
Source: libextractor-dmo
Section: libs
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: http://www.gnu.org/software/libextractor/
Rules-Requires-Root: no
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), pkg-config, libarchive-dev, libavutil-dev,
 libavformat-dev, libavcodec-dev (>= 10:3.0~), libswscale-dev, texinfo, libogg-dev,
 libbz2-dev, libexiv2-dev (>= 0.27~), libflac-dev, libgif-dev (>= 5.1.1~),
 libgtk-3-dev, libglib2.0-dev, libgstreamer-plugins-base1.0-dev, libjpeg-dev,
 libgsf-1-dev, libmpeg2-4-dev, libmp4v2-dev, librpm-dev (>= 4.16.1.2~), libsmf-dev,
 libmagic-dev, zlib1g-dev, libtidy-dev (>= 2:5.6.0~), libtiff-dev, libvorbis-dev,
 libltdl-dev

Package: libextractor3
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends} 
Conflicts: libextractor1c2a,
 libextractor-plugin-archive, libextractor-plugin-av, libextractor-plugin-exiv2, libextractor-plugin-flac,
 libextractor-plugin-gif, libextractor-plugin-gstreamer, libextractor-plugin-html, libextractor-plugin-jpeg,
 libextractor-plugin-midi, libextractor-plugin-mpeg, libextractor-plugin-ogg, libextractor-plugin-ole2,
 libextractor-plugin-pdf, libextractor-plugin-rpm, libextractor-plugin-thumbnailgtk, libextractor-plugin-tiff,
 libextractor-plugins-misc,
Replaces: libextractor1c2a,
 libextractor-plugin-archive, libextractor-plugin-av, libextractor-plugin-exiv2, libextractor-plugin-flac,
 libextractor-plugin-gif, libextractor-plugin-gstreamer, libextractor-plugin-html, libextractor-plugin-jpeg,
 libextractor-plugin-midi, libextractor-plugin-mpeg, libextractor-plugin-ogg, libextractor-plugin-ole2,
 libextractor-plugin-pdf, libextractor-plugin-rpm, libextractor-plugin-thumbnailgtk, libextractor-plugin-tiff,
 libextractor-plugins-misc,
Suggests: libextractor-java, python-extractor
Description: extracts meta-data from files of arbitrary type (library)
 GNU libextractor provides developers of file-sharing networks, file
 managers, and WWW-indexing bots with a universal library to obtain
 meta-data about files.
 .
 Currently, libextractor supports the following formats: HTML, PDF, PS, OLE2
 (DOC, XLS, PPT), OpenOffice (sxw), StarOffice (sdw), DVI, MAN, MKV, MP3
 (ID3v1 and ID3v2), OGG, WAV, EXIV2, JPEG, GIF, PNG, TIFF, DEB, RPM,
 TAR(.GZ), ZIP, ELF, REAL, RIFF (AVI), MPEG, QT and ASF.
 .
 Also, various additional MIME types are detected. It can also be used to
 compute hash functions (SHA-1, MD5, ripemd160).
 .
 This package contains the library and all plugins.

Package: libextractor-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libextractor3 (= ${binary:Version})
Description: extracts meta-data from files of arbitrary type (development)
 GNU libextractor provides developers of file-sharing networks, file
 managers, and WWW-indexing bots with a universal library to obtain
 meta-data about files.
 .
 This package contains the development files.

Package: extract
Section: utils
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: displays meta-data from files of arbitrary type
 Similar to the well-known "file" command, extract can display meta-data
 from a file and print the results to stdout.
 .
 Currently, libextractor supports the following formats: HTML, PDF, PS, OLE2
 (DOC, XLS, PPT), OpenOffice (sxw), StarOffice (sdw), DVI, MAN, MKV, MP3
 (ID3v1 and ID3v2), OGG, WAV, EXIV2, JPEG, GIF, PNG, TIFF, DEB, RPM,
 TAR(.GZ), ZIP, ELF, REAL, RIFF (AVI), MPEG, QT and ASF.
 .
 Also, various additional MIME types are detected. It can also be used to
 compute hash functions (SHA-1, MD5, ripemd160).
