=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install

	# Removing useless files
	find debian -name *.la -delete

override_dh_clean:
	dh_clean libextractor.pc libextractor.pc.in libextractor-uninstalled.pc libextractor-uninstalled.sh

override_dh_auto_test:
