=== debian/watch ===
version=4

https://ftp.gnu.org/gnu/libextractor/libextractor-(\d.+)@ARCHIVE_EXT@
