## libextractor-dmo 1.13

=== debian/changelog ===
libextractor-dmo (2:1.13-dmo8) unstable; urgency=medium

  * Backport the proposed patch from https://bugs.gnunet.org/view.php?id=9223
    to fix the Exiv2 extractor in case the loading fails

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 25 Sep 2024 09:13:54 +0200

libextractor-dmo (2:1.13-dmo7) unstable; urgency=medium

  * Build with libexiv2-28

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 06 Sep 2024 09:12:41 +0200

libextractor-dmo (2:1.13-dmo6) unstable; urgency=medium

  * Build with libtidy58

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 08 Aug 2024 11:47:35 +0200

libextractor-dmo (2:1.13-dmo5) unstable; urgency=medium

  * Add replaces with extract package

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 13 May 2024 09:21:35 +0200

libextractor-dmo (2:1.13-dmo4) unstable; urgency=medium

  * Sync with QA package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 13 May 2024 08:56:47 +0200

libextractor-dmo (2:1.13-dmo3) unstable; urgency=medium

  * Build with librpm10

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 06 May 2024 00:13:42 +0200

libextractor-dmo (2:1.13-dmo2) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Mar 2024 13:33:00 +0100

libextractor-dmo (2:1.13-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Dec 2023 10:09:55 +0100

libextractor-dmo (2:1.12-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 02 Dec 2023 19:09:46 +0100

libextractor-dmo (2:1.11-dmo6) unstable; urgency=medium

  * Build with libtiff6

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 11 Jan 2023 09:31:22 +0100

libextractor-dmo (2:1.11-dmo5) unstable; urgency=medium

  * Build with libflac12

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 20 Oct 2022 14:27:06 +0200

libextractor-dmo (2:1.11-dmo4) unstable; urgency=medium

  * Building without ffmpeg as recommended by upstream until it has been
    updated to ffmpeg 5.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Jun 2022 13:52:37 +0200

libextractor-dmo (2:1.11-dmo3) unstable; urgency=medium

  * Upload to unstable.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Aug 2021 18:14:46 +0200

libextractor-dmo (2:1.11-dmo2) stable; urgency=medium

  * Build without libavresample

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Aug 2021 18:07:21 +0200
