=== debian/rules ===
#!/usr/bin/make -f

ifeq ($(DEB_HOST_ARCH_ENDIAN),big)
	CONFIGURE_ARGS += --disable-elf
endif

%:
	dh $@ --with quilt

override_dh_auto_configure:
	dh_auto_configure -- ${CONFIGURE_ARGS}

#	exit 1

override_dh_clean:
	dh_clean libextractor.pc libextractor.pc.in libextractor-uninstalled.pc libextractor-uninstalled.sh

execute_after_dh_auto_install:
	# Removing useless files
	rm -f debian/tmp/usr/lib/*/*.la
	rm -f debian/tmp/usr/lib/*/libextractor/*.la

override_dh_auto_test:
