=== debian/watch ===
version=4

opts="pgpmode=auto" \
https://ftp.gnu.org/gnu/libextractor/libextractor@ANY_VERSION@@ARCHIVE_EXT@
